#ifndef EVENT_H
#define EVENT_H
/*
 * Copyright (C) 2009 Väinö Helminen <vah78@yahoo.com>
 *
 * $Id: event.h,v 1.1.1.1 2009-03-13 05:24:33 vah Exp $
 */

/*
 * Callback function definion for handleEvents
 *
 * Parameters:
 *   datap - any user data you might need
 *   i - file descriptor index (not the file descriptor itself)
 *   scancode - the scancode
 *
 * Returns:
 *   0 - continue
 *  !0 - stop
 */
typedef int (*KeyCallback)(void *datap, int i, unsigned keycode, unsigned pressed);

/*
 * Reads events from the file descriptors and calls the the callback function
 * for each key event encountered.
 *
 * Parameters:
 *   fd       - array of file descriptors
 *   n        - number of file descriptors in the array
 *   callback - pointer to the callback function
 *   datap    - any user data you want to be passed to the callback function
 *
 * Returns:
 *   0 - returned because the callback told us to do so
 *  -1 - error
 *  -2 - invalid parameters
 */
int readEvents(int *fd, int n, KeyCallback callback, void *datap);

#endif
