/*
 * Copyright (C) 2009 Väinö Helminen <vah78@yahoo.com>
 *
 * $Id: x.c,v 1.1 2009-04-18 05:40:14 vah Exp $
 */

#include "x.h"


int sendKeyEvent(Display *display, unsigned keycode, unsigned modifiers, unsigned pressed)
{
  if(!display) return -1;;
  XKeyEvent event;
  int dummy;
  event.display = display;
  if(!XGetInputFocus(display, &event.window, &dummy)) {
    return 1;
  }
  event.root = DefaultRootWindow(event.display);
  event.subwindow = None;
  event.time = CurrentTime;
  event.x = 1;
  event.y = 1;
  event.x_root = 1;
  event.y_root = 1;
  event.same_screen = True;
  event.type = pressed ? KeyPress : KeyRelease;
  event.keycode = keycode;
  event.state = modifiers;
  if(!XSendEvent(event.display, event.window, True, KeyPressMask, (XEvent*)&event)) {
    return 1;
  }
  return 0;
}
