#ifndef XKEY_H
#define XKEY_H
/*
 * Copyright (C) 2009 Väinö Helminen <vah78@yahoo.com>
 *
 * $Id: x.h,v 1.1 2009-04-18 05:40:14 vah Exp $
 */

#include <X11/Xlib.h>

/*
 * Send a fake key press/release event to the X window having keyboard focus.
 *
 * Parameters:
 *   display   - the X display
 *   keycode   - the X keycode to send
 *   modifiers - state of shift/ctrl/alt/etc.
 *   pressed   - boolean flag for true => press and false => release
 *
 * Returns:
 *   0 - OK
 *   1 - failed
 */
int sendKeyEvent(Display *display, unsigned keycode, unsigned modifiers, unsigned pressed);

#endif
